## ros-jazzy-rviz-visual-tools 4.1.4

=== debian/changelog ===
ros-jazzy-rviz-visual-tools (4.1.4-5bookworm) bookworm; urgency=high

  * Migrate to Ogre.h (#226 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/226>)
  * Remove galactic jobs since they are deprecated (#232 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/232>)
  * Add arbitrary color option to publishCuboid (#227 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/227>)
  * Bump clang-format version to 14 (#228 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/228>)
  * Contributors: Sebastian Castro, Stephanie Eng, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 04 Jan 2023 16:00:00 -0000

ros-jazzy-rviz-visual-tools (4.1.3-5bookworm) bookworm; urgency=high

  * Humble CI and formatting updates (#220 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/220>)
  * Minor typo fix (#222 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/222>)
  * Add a method to publish a plane using the normal and distance (#221 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/221>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Fix description of plane functions (#219 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/219>)
  * Update black version (#218 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/218>)
  * Add option to never wait for subscriber (#217 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/217>)
  * Contributors: Marq Rasmussen, Stephanie Eng, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-jazzy-rviz-visual-tools (4.1.2-5bookworm) bookworm; urgency=high

  * Fix faulty templated constructor (#211 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/211>)
  * Make sure to add all dependencies to the package.xml (#209 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/209>)
    Otherwise it will fail to build on the buildfarm.
  * Contributors: Chris Lalancette, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Sun, 12 Dec 2021 16:00:00 -0000

ros-jazzy-rviz-visual-tools (4.1.1-5bookworm) bookworm; urgency=high

  * Re-enable RemoteControl functionality (#205 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/205>)
    * use condition_variable to be more thread safe
    * Drop executor from constructor, deprecate old one
    * Fix RemoteControl usage in demo
    * Use SystemDefaultsQOS for RemoteControl subscriber
    * Add RvizVisualToolsGui dashboard to rviz config, correct view
  * Add pluginlib dependency. (#203 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/203>)
  * Fix package dependencies and cmake export (#202 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/202>)
  * Rename node_executable to executable (#200 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/200>)
  * Contributors: Davide Faconti, Henning Kayser, Jafar Abdi, Steven! Ragnarök, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 06 Oct 2021 16:00:00 -0000

ros-jazzy-rviz-visual-tools (4.1.0-5bookworm) bookworm; urgency=high

  * Fixes for new ros2 branch (#198 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/198>)
  * Fix include deprecation warning
  * Enable Galactic and Rolling CI (#190 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/190>)
    * minor compile fixes
  * Fixes & improvements for deleting markers (#188 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/188>)
    * Added RvizVisualTools method to delete all markers in a namespace
    * Fixed deleteAllMarkers for all namespaces
    * Added getters for marker ID's
  * Move waitForSubscriber function to header file (#185 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/185>)
  * Contributors: Henning Kayser, Jafar Abdi, Nathan Brooks, Vatan Aksoy Tezer, Wyatt Rees

 -- Mike Lautman <mike@picknik.ai>  Mon, 13 Sep 2021 16:00:00 -0000

ros-jazzy-rviz-visual-tools (4.0.0-5bookworm) bookworm; urgency=high

  * Fix warning about deprecation (#180 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/180>)
    rclcpp::executor::FutureReturnCode was removed
  * Update to offer shared_ptr to create_timer
  * Fix rviz_visual_tools_gui (#147 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/147>)
  * Compilation for Windows (#143 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/143>)
  * Remove stl file in preparation for LFS setup (#140 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/140>)
  * Add function deleteMarker: deletes marker for given namespace and id (#137 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/137>)
  * fix waitForSubscriber time (#142 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/142>)
  * Eloquent cleanup (#135 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/135>)
    * some misc cleanup of the imarker simple lib
    * actually reset marker counts
    * changes for using IMarker simple as a library
  * Fix rviz warnings about scale and uninitialized quaternions (#129 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/129>)
  * Normalize interactive marker quaternions. (#132 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/132>)
  * normalize before publish (#131 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/131>)
  * New helper function getIdentityPose() (#122 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/122>)
  * For ABCD planes: better comments, ensure the plane equation is satisfied. (#120 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/120>)
    Co-Authored-By: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Make rviz_visual_tools publish triangle mesh and tf_visual_tools clean published transforms (#117 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/117>)
    * Add clearAllTransform method to tf_visual_tools

