=== debian/control ===
Source: ros-jazzy-rviz-visual-tools
Section: misc
Priority: optional
Maintainer: Mike Lautman <mike@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-eigen-stl-containers, ros-jazzy-eigen3-cmake-module, ros-jazzy-geometry-msgs, ros-jazzy-interactive-markers, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-rviz-common, ros-jazzy-rviz-default-plugins, ros-jazzy-rviz-ogre-vendor, ros-jazzy-rviz-rendering, ros-jazzy-sensor-msgs, ros-jazzy-shape-msgs, ros-jazzy-std-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-trajectory-msgs, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Homepage: https://github.com/PickNikRobotics/rviz_visual_tools
Standards-Version: 3.9.2

Package: ros-jazzy-rviz-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5widgets5, ros-jazzy-ament-index-python, ros-jazzy-eigen-stl-containers, ros-jazzy-eigen3-cmake-module, ros-jazzy-geometry-msgs, ros-jazzy-interactive-markers, ros-jazzy-launch, ros-jazzy-launch-ros, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-rviz-common, ros-jazzy-rviz-default-plugins, ros-jazzy-rviz-ogre-vendor, ros-jazzy-rviz-rendering, ros-jazzy-rviz2, ros-jazzy-sensor-msgs, ros-jazzy-shape-msgs, ros-jazzy-std-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-trajectory-msgs, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Description: Utility functions for displaying and debugging data in Rviz via published markers
